Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Interface ITensionI

All Known Subinterfaces:
  IStraightenerI

All Known Implementing Classes:
  ISpacingEqualizer, ISpring, IStraightener, IStraightenerCurve, ITension, ITensionLine, ITensionLineOnCurve, ITensionOnCurve

    public interface ITensionI

Interface API of tension classes

Author:
  Satoru Sugihara

Field Summary
`static double` | `defaultTension`

Method Summary
`boolean` | `constant()` if constantTension is true, amount of force is always constant and it's equals to tension.
`ITensionI` | `constant(boolean cnst)`
`IParticleI` | `particle(int i)` alias of pt(int)
`IParticleI` | `particle1()` alias of pt1()
`IParticleI` | `particle2()` alias of pt2()
`IVec` | `pos(int i)` position of particle(i)
`IVec` | `pos1()` position of particle1
`IVec` | `pos2()` position of particle1
`IParticleI` | `pt(int i)` getting end point.
`IParticleI` | `pt1()` getting end point1.
`IParticleI` | `pt2()` getting end point2.
`double` | `tension()` tension is a coefficient to convert distance of two points to amount of force.
`ITensionI` | `tension(double tension)`

Field Detail

### defaultTension

    static final double defaultTension

See Also:
  Constant Field Values

Method Detail

### tension

    double tension()

  tension is a coefficient to convert distance of two points to amount of force.

### tension

    ITensionI tension(double tension)

### constant

    boolean constant()

  if constantTension is true, amount of force is always constant and it's equals to tension. Only direction of force changes. But if the distance is zero, force is also zero.

### constant

    ITensionI constant(boolean cnst)

### pt

    IParticleI pt(int i)

  getting end point. i==0 or i==1

### particle

    IParticleI particle(int i)

  alias of pt(int)

### pos

    IVec pos(int i)

  position of particle(i)

### pt1

    IParticleI pt1()

  getting end point1.

### particle1

    IParticleI particle1()

  alias of pt1()

### pos1

    IVec pos1()

  position of particle1

### pt2

    IParticleI pt2()

  getting end point2.

### particle2

    IParticleI particle2()

  alias of pt2()

### pos2

    IVec pos2()

  position of particle1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD